org.apache.lucene.spatial.prefix

## Class AbstractVisitingPrefixTreeFilter.VNode

- java.lang.Object
- - org.apache.lucene.spatial.prefix.AbstractVisitingPrefixTreeFilter.VNode

- Enclosing class:
    AbstractVisitingPrefixTreeFilter

      protected static class AbstractVisitingPrefixTreeFilter.VNode
      extends Object

  A Visitor Node/Cell found via the query shape for `AbstractVisitingPrefixTreeFilter.VisitorTemplate`. Sometimes these are reset(cell). It's like a LinkedList node but forms a tree.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.